import * as d3 from 'd3';
import { BaseXSelector } from './Selector';
export declare class IndexSelector extends BaseXSelector {
    render(): void;
    create_listeners(): void;
    color_change(): void;
    initial_click(): void;
    click(): void;
    mousemove(): void;
    invert_pixel(pixel: any): number | Date;
    reset(): void;
    update_scale_domain(ignore_gui_update: any): void;
    selected_changed(): void;
    relayout(): void;
    set_range(array: any): void;
    active: boolean;
    dirty: boolean;
    line: d3.Selection<SVGLineElement, any, any, any>;
    background: d3.Selection<SVGRectElement, any, any, any>;
}
